package com.unitesk.requality.eclipse.dialogs;

import org.eclipse.swt.widgets.Shell;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.eclipse.views.TreesContentProvider;
import com.unitesk.requality.nodetypes.Document;

public class SelectDocDialog extends SelectNodeDialog {
    public SelectDocDialog(Shell shell, TreeDB treedb) {
        super(shell, treedb);
    }

    public String getTitle() {
        return "Document selection";
    }

    protected TreesContentProvider getContentProvider() {
        return new TreesContentProvider(Document.getTypeRootQId()) {
            @Override
            public boolean hasChildren(Object element) {
                if (element instanceof Document) {
                    return false;
                }
                return super.hasChildren(element);
            }
        };
    }
}
