/*
 * Copyright 2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.tools;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;

//
//import java.util.Arrays;
//import java.util.HashMap;
//import java.util.HashSet;
//import java.util.Map;
//import java.util.Set;
//import java.util.UUID;
//
//import com.unitesk.requality.core.TreeDB;
//import com.unitesk.requality.core.TreeDBIO;
//import com.unitesk.requality.core.TreeDBNode;
//import com.unitesk.requality.documents.Document;
//import com.unitesk.requality.documents.Location;
//import com.unitesk.requality.nodetypes.Requirement;
//import com.unitesk.requality.report.ReportGenerator;
//
public class Requality {
    //
    // public final static String cmdName = "requality";
    // private static Map<String, String> usages = new HashMap<String,
    // String>();
    //
    // static {
    //
    // usages.put(
    // "report",
    // "Usage: "
    // + cmdName
    // + " report "
    // +
    // "<path to template> <path to additional data> <path to catalogue> <root id> <save location>");
    // }
    //
    // public static void usage() {
    // log("Usage: " + cmdName + " "
    // + "<help|import|convert|init|report|docclean> [params]");
    // }
    //
    // public static void usageHelp(String param) {
    // StringBuilder result = new StringBuilder();
    //
    // if (usages.containsKey(param)) {
    // result.append(usages.get(param));
    // } else {
    // usage();
    // }
    //
    // log(result.toString());
    // }
    //
    // private static void log(String string) {
    // System.out.println(string);
    // }
    //
    // public static void main(String[] args) {
    // if (args.length == 0) {
    // usage();
    // return;
    // }
    // System.out
    // .println("Welcome to Requality console mode! Process started...");
    //
    // if ("help".equals(args[0])) {
    // String subj = args.length > 1 ? args[1] : "";
    // usageHelp(subj);
    // return;
    // }
    //
    // if ("report".equals(args[0])) {
    // if (args.length != 6) {
    // usageHelp("report");
    // return;
    // }
    // String reportArgs[] = Arrays.copyOfRange(args, 1, args.length);
    // ReportGenerator.newInstance().generateReport(reportArgs);
    // return;
    // }
    //
    // if ("docclean".equals(args[0])) {
    // if (args.length == 2) {
    // docclean(args[1]);
    // } else {
    // System.out.println("neep path to database");
    // }
    // return;
    // }
    //
    // usage();
    // }
    //
    // private static void docclean(String path) {
    // TreeDB db = new TreeDBIO(path);
    // Map<String, Set<UUID>> docToUUIDs = new HashMap<String, Set<UUID>>();
    // for (TreeDBNode r : new DeepFirstTreeWalker(db.getRootNode(
    // Requirement.type, false))) {
    // Requirement req = (Requirement) r;
    // for (Location loc : req.getLocations()) {
    // String docId = loc.getDocId().replace('\\', '/');
    // if (docToUUIDs.get(docId) == null) {
    //
    // docToUUIDs.put(docId, new HashSet<UUID>());
    // }
    // docToUUIDs.get(docId).add(loc.getId());
    // }
    // }
    // for (String docId : docToUUIDs.keySet()) {
    // Set<UUID> locRemove = new HashSet<UUID>();
    // Document doc = db.getDocument(docId);
    // System.out.println("processing document: " + docId + " locations ("
    // + docToUUIDs.get(docId).size() + "/" + doc.sizeLocations()
    // + ")");
    //
    // for (UUID locId : doc.getLocations()) {
    // locRemove.add(locId);
    // }
    // locRemove.removeAll(docToUUIDs.get(docId));
    // for (UUID locId : locRemove) {
    // System.out.println("Remove location " + locId.toString()
    // + " from " + docId);
    // doc.removeLocation(locId);
    // }
    // }
    // }
    public static void copyfile(String srFile, String dtFile)
            throws IOException {
        File sourceFile = new File(srFile);
        File destFile = new File(dtFile);
        if (!destFile.exists()) {
            destFile.createNewFile();
        }
        FileChannel source = null;
        FileChannel destination = null;
        try {
            source = new FileInputStream(sourceFile).getChannel();
            destination = new FileOutputStream(destFile).getChannel();
            destination.transferFrom(source, 0, source.size());
        } finally {
            if (source != null) {
                source.close();
            }
            if (destination != null) {
                destination.close();
            }
        }
    }
    public static String htmlEscape( String str )
    {
        return str.replace( "&", "&amp;").replace( "<", "&lt;" ).replace( ">", "&gt;" );
    }
}
