package patterns;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;


public class Locations {
	@Before
	public static void before() throws Exception {
		// 
		// 
		//   (01, 02),   3  (01, 02, 03).
		//      location.
	}
	
	@Test
	public static void test() throws Exception {
		//       Show Identifiers.
		//-> ,       .
		
		//==   
		//  01  01 ->   -> Remove from requirement
		//,       .
		//-> OK
		//,     .
		//,        , ..    .
		//-> OK
		//,    .
		
		//== ,   
		//  02  01->   -> Remove from requirement
		//,       .
		//-> OK
		//,     .
		//,        , ..    .
		//-> Cancel
		//,    ,   Description   .
		
		//==   
		//  02  Requality Explorer ->   -> Remove requirement
		//,       .
		//-> OK
		//,     02     .
		//,           Requality Explorer.
		
		//==       
		//   03  01    .
		//      ->   -> Remove from requirement -> OK
		//,     .
		//,         , ..    .
		//,     ,      Description.
		
		//==     
		//   03  01. 
		//         04.
		//,      04.
		
		//== ,  ,     
		//  03  Requality Explorer.
		//,  03 ,        04.
	}
	
	@After
	public static void after() throws Exception {

	}

}
