package swtbotforrequality;

import static org.junit.Assert.*;

import org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot;
import org.eclipse.swtbot.swt.finder.widgets.*;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;


public class DeleteDocument {
	private static SWTWorkbenchBot	bot;
	private static SWTBotTree tree;
	 
	@BeforeClass
	public static void beforeClass() throws Exception {
		bot = new SWTWorkbenchBot();
		//---
//		bot.viewByTitle("Welcome").close();
//		bot.menu("File").menu("New").menu("Other...").click();
//		 
//		SWTBotShell shell = bot.shell("New");
//		shell.activate();
//		bot.tree().expandNode("Requality").select("Requality Project");
//		bot.button("Next >").click();
//		bot.textWithLabel("Project name:").setText("ReqProject");
//		bot.button("Finish").click();
//		bot.activeView();
//		SWTBotTree tree = bot.viewByTitle("Requality Explorer").bot().tree();
//		SWTBotTreeItem t1 = tree.expandNode("ReqProject");
//		SWTBotTreeItem treeItem = t1.select("Documents");
//		ContextMenuHelper.clickContextMenu(tree, "Import Document...");
//		bot.shell("Import").activate();
//		bot.textWithLabel("Import file:");
//		bot.textWithLabel("Import file:").setText("D:\\Work\\WorkEclipses\\eclipse32Target\\10.html");
//		bot.button("OK").click();
		//---
	}
 
 
	@Test
	public void canDeleteDocument() throws Exception {
		tree = bot.viewByTitle("Requality Explorer").bot().tree();
		SWTBotTreeItem t1 = tree.expandNode("ReqProject").expandNode("Documents");
		SWTBotTreeItem treeItem = t1.select("10.xhtml");
		ContextMenuHelper.clickContextMenu(tree, "Remove Document");
		bot.shell("Remove Document").bot().button("OK").click();
		assertFalse("Document 10.xhtml is not removed", tree.expandNode("ReqProject").expandNode("Documents").getNodes().contains("10.xhtml"));
	}
 
 
	@AfterClass
	public static void sleep() {
		bot.sleep(2000);
	}
}
