package swtbotforrequality;

import static org.junit.Assert.assertTrue;

import org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot;
import org.eclipse.swtbot.swt.finder.junit.SWTBotJunit4ClassRunner;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotMenu;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotShell;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotTree;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotTreeItem;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(SWTBotJunit4ClassRunner.class)
public class ImportDocument {
	private static SWTWorkbenchBot	bot;
	 
	@BeforeClass
	public static void beforeClass() throws Exception {
		bot = new SWTWorkbenchBot();
		//---
//		bot.viewByTitle("Welcome").close();
//		bot.menu("File").menu("New").menu("Other...").click();
//		 
//		SWTBotShell shell = bot.shell("New");
//		shell.activate();
//		bot.tree().expandNode("Requality").select("Requality Project");
//		bot.button("Next >").click();
//		bot.textWithLabel("Project name:").setText("ReqProject");
//		bot.button("Finish").click();
//		bot.activeView();
		//---
	}
 
 
	@Test
	public void canAddNewDocument() throws Exception {
		SWTBotTree tree = bot.viewByTitle("Requality Explorer").bot().tree();
		SWTBotTreeItem t1 = tree.expandNode("ReqProject");
		SWTBotTreeItem treeItem = t1.select("Documents");
		ContextMenuHelper.clickContextMenu(tree, "Import Document...");
		bot.shell("Import").activate();
		bot.textWithLabel("Import file:");
		bot.textWithLabel("Import file:").setText("D:\\Work\\WorkEclipses\\eclipse32Target\\10.html");
		bot.button("OK").click();
		assertTrue("Document 10.xhtml doesn't exists", tree.expandNode("ReqProject").expandNode("Documents").getNodes().contains("10.xhtml"));		
	}
 
 
	@AfterClass
	public static void sleep() {
		bot.sleep(2000);
	}
}
