/*
 * Copyright 2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.requality.eclipse.dialogs;

// TODO: remove this file

//import org.eclipse.jface.dialogs.Dialog;
//import org.eclipse.swt.SWT;
//import org.eclipse.swt.events.KeyEvent;
//import org.eclipse.swt.events.KeyListener;
//import org.eclipse.swt.events.MouseEvent;
//import org.eclipse.swt.events.MouseListener;
//import org.eclipse.swt.events.SelectionEvent;
//import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.events.TreeEvent;
//import org.eclipse.swt.events.TreeListener;
//import org.eclipse.swt.graphics.Point;
//import org.eclipse.swt.layout.GridData;
//import org.eclipse.swt.layout.GridLayout;
//import org.eclipse.swt.widgets.Composite;
//import org.eclipse.swt.widgets.Control;
//import org.eclipse.swt.widgets.Event;
//import org.eclipse.swt.widgets.Label;
//import org.eclipse.swt.widgets.Tree;
//import org.eclipse.swt.widgets.TreeItem;
//import org.eclipse.ui.ISharedImages;
//import org.eclipse.ui.IWorkbenchPartSite;
//import org.eclipse.ui.PlatformUI;
//
//import com.unitesk.requality.CatalogueBase;
//import com.unitesk.requality.requirement.RequirementInstance;
//import com.unitesk.requality.requirement.RequirementInstanceCreator;
//
//public class SelectReqInstDialog extends Dialog {
//   static int TREE_WIDTH= 250;
//   static int TREE_HEIGHT= 300;
//   static String TITLE= "Requirement selection";
//   
//   CatalogueBase cat= null;
//   
//   String path= "";
//   
//   boolean select= true;
//   
//   IWorkbenchPartSite site= null;
//   
//   TreeItem selectedItem= null;
//   
//   RequirementInstance selectedReq= null;
//   
//   Tree tree= null;
//   
//   // Обрабатывает развертывание/свертывание узлов дерева
//   TreeListener treeLink= new TreeListener() {
//      public void createSubtree( TreeItem rootItem, RequirementInstance rootReq, boolean select ) {
//         // Если начальная вершина дерева задана
//         if ( rootItem != null ) {
//            // Удаляем все дочерние вершины
//            rootItem.removeAll();
//            // Если задано требование, соответствующее начальной вершине
//            if ( rootReq != null ) {
//               // Цикл по вложенным требованиям
//               for ( RequirementInstance ireq : rootReq.getChildren() ) {
//                  // Создаем дочернюю вершину дерева требований
//                  TreeItem reqItem= new TreeItem( rootItem, SWT.NONE );
//                  reqItem.setImage( PlatformUI.getWorkbench().getSharedImages().getImage(
//                        ISharedImages.IMG_OBJ_FILE ) );
//                  // Получаем сокращенный идентификатор вложенного
//                  // требования
//                  String fullid= ireq.getId();
//                  String id= fullid;
//                  int ind= id.lastIndexOf( "/" );
//                  if ( ind >= 0 )
//                     id= id.substring( ind + 1 );
//                  // Устанавливаем текстовое представление вершины
//                  // String descr = ireq.getDescription();
//                  // if( "".equals(descr) )
//                  reqItem.setText( id );
//                  // else
//                  // reqItem.setText( id + " : " + descr );
//                  // Устанавливаем данные вершины
//                  reqItem.setData( ireq );
//                  if ( ireq.getChildren().size() > 0 )
//                     reqItem.setItemCount( 1 );
//                  if ( select == true ) {
//                     if ( path.startsWith( fullid ) ) {
//                        if ( path.equals( fullid ) == true ) {
//                           selectedItem= reqItem;
//                           selectedReq= ireq;
//                        } else {
//                           createSubtree( reqItem, ireq, select );
//                           reqItem.setExpanded( true );
//                        }
//                     }
//                  }
//               }
//            }
//         }
//      }
//      
//      public void treeCollapsed( TreeEvent e ) {
//      }
//      
//      public void treeExpanded( TreeEvent e ) {
//         if ( e.item instanceof TreeItem ) {
//            TreeItem rootItem= ( TreeItem ) e.item;
//            if ( rootItem.getData() instanceof RequirementInstance ) {
//               RequirementInstance rootReq= ( RequirementInstance ) rootItem.getData();
//               createSubtree( rootItem, rootReq, select );
//               select= false;
//            }
//         }
//      }
//   };
//   
//   // Обрабатывает выбор узла дерева
//   
//   // Обрабатывает изменение выбранного узла дерева
//   SelectionListener selectList= new SelectionListener() {
//      public void widgetDefaultSelected( SelectionEvent e ) {
//      }
//      
//      public void widgetSelected( SelectionEvent e ) {
//         if ( e.item instanceof TreeItem ) {
//            TreeItem item= ( TreeItem ) e.item;
//            if ( item.getData() instanceof RequirementInstance ) {
//               selectedReq= ( RequirementInstance ) item.getData();
//            }
//         }
//      }
//   };
//   
//   // Обрабатывает двойное нажатие кнопки мышки на дереве
//   
//   // Обрабатывает двойное нажатие клавиши мышки
//   MouseListener mouseList= new MouseListener() {
//      public void mouseDoubleClick( MouseEvent e ) {
//         TreeItem item= tree.getItem( new Point( e.x, e.y ) ); // @jve:decl-index=0:
//         if ( item != null )
//            okPressed();
//      }
//      
//      public void mouseDown( MouseEvent e ) {
//      }
//      
//      public void mouseUp( MouseEvent e ) {
//      }
//   };
//   
//   // Обрабатывает нажатиие клавиш клавиатуры на дереве
//   KeyListener keyList= new KeyListener() {
//      public void keyPressed( KeyEvent e ) {
//         if ( e.keyCode == ' ' ) {
//            TreeItem[] items= tree.getSelection();
//            if ( items.length > 0 ) {
//               TreeItem item= items[ 0 ];
//               if ( item.getExpanded() == false ) {
//                  item.setExpanded( true );
//                  Event e1= new Event();
//                  e1.item= item;
//                  tree.notifyListeners( SWT.Expand, e1 );
//               } else
//                  item.setExpanded( false );
//            }
//         }
//      }
//      
//      public void keyReleased( KeyEvent e ) {
//      }
//   };
//   
//   public SelectReqInstDialog( IWorkbenchPartSite site, CatalogueBase cat, String path ) {
//      super( site.getShell() );
//      this.cat= cat;
//      this.site= site;
//      if ( path != null )
//         this.path= path;
//   }
//   
//   public RequirementInstance getResult() {
//      return selectedReq;
//   }
//   
//   @Override
//   protected Control createDialogArea( Composite parent ) {
//      Composite container= createClientContainer( parent, 1 );
//      
//      // Заголовок
//      Label commentLabel= new Label( container, SWT.NONE );
//      commentLabel.setText( "Select a requirement:" );
//      commentLabel.setLayoutData( new GridData( GridData.BEGINNING, GridData.CENTER, true, true ) );
//      
//      // Дерево требований
//      tree= new Tree( container, SWT.H_SCROLL | SWT.V_SCROLL | SWT.BORDER );
//      tree.setLayoutData( new GridData( TREE_WIDTH, TREE_HEIGHT ) );
//      tree.addTreeListener( treeLink );
//      tree.addSelectionListener( selectList );
//      tree.addMouseListener( mouseList );
//      tree.addKeyListener( keyList );
//      
//      // Корневой элемент дерева требований
//      TreeItem rootItem= new TreeItem( tree, SWT.NONE );
//      rootItem.setText( "ROOT" );
//      rootItem.setImage( PlatformUI.getWorkbench().getSharedImages().getImage(
//            ISharedImages.IMG_OBJ_FOLDER ) );
//      
//      rootItem.setData( new RequirementInstanceCreator().instanceTree( cat.getRootRequirement(),
//            null ) );
//      rootItem.setItemCount( 1 );
//      
//      // Раскрытие элементов дерева при необходимости
//      if ( path.length() > 0 ) {
//         rootItem.setExpanded( true );
//         Event e= new Event();
//         e.item= rootItem;
//         e.widget= tree;
//         treeLink.treeExpanded( new TreeEvent( e ) );
//         if ( selectedItem != null )
//            tree.setSelection( selectedItem );
//      }
//      // Заголовок окна
//      this.getShell().setText( TITLE );
//      // Иконка окна
//      this.getShell().setImage(
//            PlatformUI.getWorkbench().getSharedImages().getImage( ISharedImages.IMG_OBJ_ELEMENT ) );
//      return container;
//   }
//   
//   protected Composite createClientContainer( Composite parent, int span ) {
//      Composite container= new Composite( parent, SWT.NONE );
//      GridLayout layout= new GridLayout();
//      layout.marginWidth= layout.marginHeight= 10;
//      layout.verticalSpacing= 2;
//      layout.numColumns= span;
//      container.setLayout( layout );
//      return container;
//   }
//}
