//package com.unitesk.requality.tests.depricated;
//
//import static org.junit.Assert.assertEquals;
//import static org.junit.Assert.assertTrue;
//
//import java.io.File;
//import java.util.HashMap;
//import java.util.List;
//
//import org.junit.After;
//import org.junit.Before;
//import org.junit.Test;
//
//import com.unitesk.requality.core.TreeDB;
//import com.unitesk.requality.core.TreeDBIO;
//import com.unitesk.requality.core.TreeDBNode;
//import com.unitesk.requality.core.instancer.NodeInstance;
//import com.unitesk.requality.nodetypes.Requirement;
//
//public class CreateInstanceTreeTest {
//
//    private String path = System.getProperty("java.io.tmpdir") + File.separator + "treedb.test";
//    private TreeDB treedb;
//    private Requirement req2;
//    private TreeDBNode root;
//
//    @Before
//    public void init() {
//        if(new File(path).exists()) TreeDBTest.recursiveDelete(new File(path));
//        treedb = new TreeDBIO( path );        
//        
//        root= treedb.createRootNode(Requirement.type);
//        treedb.createNode(root, "R1");
//        req2= (Requirement)treedb.createNode(root, "R2");
//        treedb.createNode(req2, "R21");
//        //req1.addBaseNode(reqId2);
//        treedb.saveAll();
//
//    }
//    
//    @After
//    public void tearDown() {
//    	//TreeDBTest.recursiveDelete(new File(path));
//    }
//
//    @Test
//    public void createTreeWithBaseReq() {
//        
//        NodeInstance instTreeRoot = new NodeInstance(root, new HashMap<String,String>());
//        List<NodeInstance> childrenListRoot = instTreeRoot.getChildren();
//        assertEquals(2,childrenListRoot.size());
//        //проверяем visibleId у детей корневого узла
//        NodeInstance instNode0 = childrenListRoot.get(0);
//        NodeInstance instNode1 = childrenListRoot.get(1);
//        assertTrue((instNode0.getNode().getId() == "R1")
//        		||(instNode0.getNode().getId() == "R2"));
//        assertTrue((instNode1.getNode().getId() == "R1")
//        		||(instNode1.getNode().getId() == "R2"));
//        assertTrue(instNode0.getNode().getId()
//        		!= instNode1.getNode().getId());
//        //определяем, какой узел R1, а какой R2
//        NodeInstance instNodeR1;
//        NodeInstance instNodeR2;
//        if(instNode0.getNode().getId() == "R1") {
//        	instNodeR1 = instNode0;
//        	instNodeR2 = instNode1;
//        } else {
//        	instNodeR1 = instNode1;
//        	instNodeR2 = instNode0;
//        }
//        //проверяем, что у R1 нет детей    
//        List<NodeInstance> childrenList1 = instNodeR1.getChildren();
//        assertTrue(childrenList1.isEmpty());
//        //проверяем, что у R2 есть ребенок с visibleId R21
//        List<NodeInstance> childrenList2 = instNodeR2.getChildren();
//        assertEquals(1,childrenList2.size());
//        NodeInstance instNodeR21 = childrenList2.get(0);
//        assertTrue(instNodeR21.getNode().getId() == "R21");
//        //проверяем, что у R21 нет детей    
//        List<NodeInstance> childrenList21 = instNodeR21.getChildren();
//        assertTrue(childrenList21.isEmpty());
//    }
//}
